Subject: Re: bcm43xx-d80211 broadcast reception with WPA

From: Johannes Berg <[email-masked]>
Date: Tue, 14 Nov 2006 15:41:55 +0100

On Wed, 2006-11-15 at 01:40 +1100, Paul TBBle Hampson wrote:

> bcm43xx-d80211 w/v3 firmware and WEP-104: Garbled _everything_ RX
> Of course, that's to be expected. WEP only uses broadcast keys, and
> we knew they were failing in software mode.

Hmm, not sure about this, but it sort of confirms my theory -- with v3
firmware we never upload keys to the hw so the hw will successfully
decrypt frames with the 'none' algorithm, and the RX path will treat
them as though they were decrypted already.

johannes